UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMEStoreEntry Class Reference

## Public Member Functions
| UMEStoreEntry ()
| UMEStoreEntry (InetSocketAddress address, int groupIndex, long registrationId) throws LBMEInvalException
| UMEStoreEntry (InetSocketAddress address, int groupIndex, long registrationId, long domainId) throws LBMEInvalException
| UMEStoreEntry (InetSocketAddress address, int groupIndex, long registrationId, long domainId, String name) throws LBMEInvalException
InetSocketAddress | address ()
int | groupIndex ()
long | registrationId ()
long | domainId ()
boolean | isNamed ()
String | name ()

## Detailed Description

UME Store Entry class. Holds information about a source's registration with a UME store, including the store's domain ID, IP address and port, group index, and the source's current registration ID.

Since
  UME 2.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry | ( |  | ) |

Creates a UMEStoreEntry object and initializes all values to 0.

Since
  UME 2.0

com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry | ( | InetSocketAddress | address,
|  | int | groupIndex,
|  | long | registrationId
| ) |  | throws LBMEInvalException

Creates a UMEStoreEntry object and uses supplied values for initialization. The domain ID is set to 0.

Parameters

  address | The address (IP and port) of the store.
  groupIndex | The group the store belongs to (must be >= 0).
  registrationId | The source's registration ID (must be >= 0).

Exceptions

  LBMEInvalException | if groupIndex or registrationId are < 0.

Since
  UME 2.0

References com.latencybusters.lbm.UMEStoreEntry.address(), com.latencybusters.lbm.UMEStoreEntry.groupIndex(), and com.latencybusters.lbm.UMEStoreEntry.registrationId().

com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry | ( | InetSocketAddress | address,
|  | int | groupIndex,
|  | long | registrationId,
|  | long | domainId
| ) |  | throws LBMEInvalException

Creates a UMEStoreEntry object and uses supplied values for initialization.

Parameters

  address | The address (IP and port) of the store.
  groupIndex | The group the store belongs to (must be >= 0).
  registrationId | The source's registration ID (must be >= 0).
  domainId | The store's domain ID (must be >= 0).

Exceptions

  LBMEInvalException | if groupIndex, registrationId, or domainId are < 0.

Since
  UME 6.0

References com.latencybusters.lbm.UMEStoreEntry.address(), com.latencybusters.lbm.UMEStoreEntry.domainId(), com.latencybusters.lbm.UMEStoreEntry.groupIndex(), and com.latencybusters.lbm.UMEStoreEntry.registrationId().

com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry | ( | InetSocketAddress | address,
|  | int | groupIndex,
|  | long | registrationId,
|  | long | domainId,
|  | String | name
| ) |  | throws LBMEInvalException

Creates a UMEStoreEntry object and uses supplied values for initialization.

Parameters

  address | The address (IP and port) of the store.
  groupIndex | The group the store belongs to (must be >= 0).
  registrationId | The source's registration ID (must be >= 0).
  domainId | The store's domain ID (must be >= 0).
  name | The name of the store if available.

Exceptions

  LBMEInvalException | if groupIndex, registrationId, or domainId are < 0.

Since
  UME 6.7

References com.latencybusters.lbm.UMEStoreEntry.address(), com.latencybusters.lbm.UMEStoreEntry.domainId(), com.latencybusters.lbm.UMEStoreEntry.groupIndex(), com.latencybusters.lbm.UMEStoreEntry.name(), and com.latencybusters.lbm.UMEStoreEntry.registrationId().

## Member Function Documentation

InetSocketAddress com.latencybusters.lbm.UMEStoreEntry.address | ( |  | ) |

Accessor function to get the store's address.

Returns
  The store's address (IP and port).

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry().

long com.latencybusters.lbm.UMEStoreEntry.domainId | ( |  | ) |

Accessor function to return the store's domain ID

Returns
  The store's domain ID.

Since
  UME 6.0

Referenced by com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry().

int com.latencybusters.lbm.UMEStoreEntry.groupIndex | ( |  | ) |

Accessor function to get the store's group index.

Returns
  The store's group index.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry().

boolean com.latencybusters.lbm.UMEStoreEntry.isNamed | ( |  | ) |

Function to determine if the store has a name.

Returns
  True if this entry refers to a named store, false otherwise

Since
  UME 6.7

String com.latencybusters.lbm.UMEStoreEntry.name | ( |  | ) |

Accessor function to return the store's name.

Returns
  The store name if set, null otherwise.

Since
  UME 6.7

Referenced by com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry().

long com.latencybusters.lbm.UMEStoreEntry.registrationId | ( |  | ) |

Accessor function to return the source's registration ID with this store.

Returns
  The source's registration ID.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMEStoreEntry.UMEStoreEntry().

The documentation for this class was generated from the following file:

- UMEStoreEntry.java